/* acconfig.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Define if we have an old libcdaudio installed. */
#undef CDAUDIO_OLD

/* Define if we have a version 0.7.0-era libcdaudio installed. */
#undef CDAUDIO_070

/* Define if libaudiofile has afOpenNamedFD(). */
#undef HAVE_AFOPENNAMEDFD

/* Define if we are compiling with support for libcdaudio. */
#undef HAVE_CDAUDIO

/* Define if your C++ iostream implementation supports ios::binary.  */
#undef HAVE_IOS_BINARY

/* Define if your C++ compiler uses namespaces.  */
#undef HAVE_NAMESPACE

/* This is the name of the package. */
#define PACKAGE 

/* Define if we are compiling with support for MySQL. */
#undef USE_MYSQL

/* Define if we are compiling with support for PostgreSQL. */
#undef USE_PGSQL

/* The current version number. */
#define VERSION 0.0


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */

