/* get_basename.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"
#include "get_basename.h"

string
get_basename(const string &filename) {
  int slash = filename.rfind("/");
  if (slash == string::npos) {
    return filename;
  } else {
    return filename.substr(slash + 1);
  }
}

string
get_basename_no_ext(const string &filename) {
  string basename = get_basename(filename);
  int dot = basename.rfind(".");
  if (dot != string::npos) {
    return basename.substr(0, dot);
  }
  return basename;
}

string
get_dirname(const string &filename) {
  int slash = filename.rfind("/");
  if (slash == string::npos) {
    return "./";
  } else {
    return filename.substr(0, slash + 1);
  }
}
